Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

jac.aspects.gui.web
Class URLEditor  view URLEditor download URLEditor.java

java.lang.Object
  extended byjac.aspects.gui.web.AbstractView
      extended byjac.aspects.gui.web.AbstractFieldEditor
          extended byjac.aspects.gui.web.URLEditor
All Implemented Interfaces:
HTMLEditor, HTMLViewer, jac.aspects.gui.View

public class URLEditor
extends AbstractFieldEditor
implements HTMLEditor

This is a special value editor that allows the user to nicely edit an URL.


Field Summary
 
Fields inherited from class jac.aspects.gui.web.AbstractFieldEditor
field, isEmbedded, isValueSet, oldValue, setter, substance, value
 
Fields inherited from class jac.aspects.gui.web.AbstractView
closed, column, context, description, factory, height, isCellViewer, javascript, label, message, parameters, parentView, row, style, styleSheet, table, type, viewBorder, width
 
Constructor Summary
URLEditor(java.lang.Object substance, jac.core.rtti.FieldItem field)
          Constructs a new URL editor.
 
Method Summary
 void genHTML(java.io.PrintWriter out)
          Generate the HTML code for the editor.
 boolean readValue(java.lang.Object parameter)
          Convert a parameter value (String or FileParameter) of an HTTP request parameter to an object.
 
Methods inherited from class jac.aspects.gui.web.AbstractFieldEditor
close, commit, getField, getValue, onSetFocus, setEmbedded, setField, setSubstance, setValue, valueHasChanged
 
Methods inherited from class jac.aspects.gui.web.AbstractView
equals, eventURL, eventURL, genBody, genPage, getCloseBorder, getContext, getDescription, getFactory, getId, getId, getLabel, getMessage, getOpenBorder, getParameters, getParentView, getRootView, getStyle, getType, getViewBorder, iconElement, iconElement, isClosed, isInForm, setColumn, setContext, setDescription, setFactory, setFocus, setHeight, setLabel, setMessage, setParameters, setParentView, setRow, setStyle, setStyleSheet, setTable, setType, setViewBorder, setWidth, validate
 
Methods inherited from class java.lang.Object
clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface jac.aspects.gui.web.HTMLEditor
commit
 
Methods inherited from interface jac.aspects.gui.web.HTMLViewer
setStyleSheet
 
Methods inherited from interface jac.aspects.gui.View
getSubstance, refreshView, refreshViewItem
 

Constructor Detail

URLEditor

public URLEditor(java.lang.Object substance,
                 jac.core.rtti.FieldItem field)
Constructs a new URL editor.

Method Detail

genHTML

public void genHTML(java.io.PrintWriter out)
Description copied from interface: HTMLViewer
Generate the HTML code for the editor.

Specified by:
genHTML in interface HTMLViewer

readValue

public boolean readValue(java.lang.Object parameter)
Description copied from interface: HTMLEditor
Convert a parameter value (String or FileParameter) of an HTTP request parameter to an object.

Specified by:
readValue in interface HTMLEditor
Specified by:
readValue in class AbstractFieldEditor